VirtueMart Forum

VirtueMart 2 + 3 => Installation, Migration & Upgrade => Topic started by: darnel on February 18, 2017, 19:19:49 pm

Title: Configuration error
Post by: darnel on February 18, 2017, 19:19:49 pm
VirtueMart 3.0.18
Joomla! 3.6.5
PHP 7.0.1
I try at installing joomla and at new fresh VM installation.

It is not possible to Configuration
I get error

An error has occurred.
0 [] operator not supported for strings
 
Title: Re: Configuration error
Post by: jenkinhill on February 18, 2017, 19:30:35 pm
I suspect you have PHP 7.1 - see https://forum.virtuemart.net/index.php?topic=136283.0

You should try the latest VM version, com_virtuemart.3.0.19.6_extract_first.zip   http://dev.virtuemart.net/attachments/download/1054/com_virtuemart.3.0.19.6_extract_first.zip
Title: Re: Configuration error
Post by: darnel on February 18, 2017, 20:21:28 pm
Hi jenkinhill
It was my error
The PHP ver is 7.1.0
Title: Re: Configuration error
Post by: darnel on February 18, 2017, 20:30:36 pm
How to update?
Have I to instal by joomla Upload & Install Joomla Extension
or
Upload files by ftp?
Title: Re: Configuration error
Post by: Milbo on February 18, 2017, 21:25:56 pm
php 7.1 creates at the moment a lot of bugs, I would not use it at the moment.
Title: Re: Configuration error
Post by: darnel on February 19, 2017, 11:44:18 am
I update at 3.0.19.6 and it is solving.

Please Help my at a new error
Warning
Assign the component VirtueMart to a menu item


I made menus
I tried making
VirtueMart » Front page menu
and
VirtueMart » Category Layout
Any menu as I make the Warning is remaining